Summary:	Highly customizable Wayland bar for Sway and Wlroots based compositors
Name:		waybar
Version:	0.9.16
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/Alexays/Waybar/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f5e8830136ec769d913815ae21dc6e62
URL:		https://github.com/Alexays/Waybar/
BuildRequires:	date-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-layer-shell-devel
BuildRequires:	gtkmm3-devel >= 3.22.0
BuildRequires:	jsoncpp-devel >= 1.9.2
BuildRequires:	libdbusmenu-gtk3-devel
BuildRequires:	libevdev-devel
BuildRequires:	libfmt-devel >= 8.1.1
BuildRequires:	libinput-devel
BuildRequires:	libmpdclient-devel
BuildRequires:	libnl-devel >= 3.0
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	libxkbregistry-devel
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja
BuildRequires:	pipewire-wireplumber-devel >= 0.4
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	scdoc >= 1.9.2
BuildRequires:	spdlog-devel >= 1:1.10.0
BuildRequires:	systemd-devel
BuildRequires:	udev-devel
BuildRequires:	upower-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	gtkmm3 >= 3.22.0
Requires:	jsoncpp >= 1.9.2
Requires:	libfmt >= 8.1.1
Requires:	spdlog >= 1:1.10.0
Requires:	systemd-units >= 1:250.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Highly customizable Wayland bar for Sway and Wlroots based
compositors.

%prep
%setup -q -n Waybar-%{version}

%build
%meson build
%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_user_post waybar.service

%preun
%systemd_user_preun waybar.service

%files
%defattr(644,root,root,755)
%doc README.md
%dir /etc/xdg/waybar
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/waybar/config
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/waybar/style.css
%attr(755,root,root) %{_bindir}/waybar
%{systemduserunitdir}/waybar.service
%{_mandir}/man5/waybar*.5*
%changelog
* Thu Nov 24 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waybar.git;a=log;h=master

* Thu Nov 24 2022 Jan Palus <atler@pld-linux.org> fd288d0
- up to 0.9.16

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 49de934
- up to 0.9.15

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> e571b61
- libfmt rebuild

* Thu Sep 01 2022 Jan Palus <atler@pld-linux.org> f8b432c
- upstream fixes for libfmt 9

* Mon May 23 2022 Jan Palus <atler@pld-linux.org> 9fbe5ac
- up to 0.9.13

* Thu Mar 10 2022 Jan Palus <atler@pld-linux.org> 587b0d2
- up to 0.9.12

* Sun Mar 06 2022 Jan Palus <atler@pld-linux.org> d0cc52b
- up to 0.9.10

* Mon Jan 10 2022 Jan Rękorajski <baggins@pld-linux.org> 747cfb6
- systemd user service startup

* Mon Jan 10 2022 Jan Palus <atler@pld-linux.org> a314a1d
- up to 0.9.9

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7acc0e3
- relup, rebuild with libfmt-8

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 0a54f88
- up to 0.9.8

* Thu Apr 15 2021 Jan Palus <atler@pld-linux.org> f0eacbd
- up to 0.9.7

* Wed Feb 03 2021 Jan Palus <atler@pld-linux.org> 306abb7
- new

